test.sh 444 B

1234567891011121314151617181920212223242526272829
  1. #!/usr/bin/env bash
  2. set -eo pipefail
  3. export VERSION=${GITHUB_SHA}-test
  4. export KO_DOCKER_REPO=ko.local
  5. set -u
  6. source ../lib/lib.sh
  7. build_anubis_ko
  8. function cleanup() {
  9. docker compose down
  10. }
  11. trap cleanup EXIT SIGINT
  12. mint_cert registry.local.cetacean.club
  13. docker compose up -d
  14. backoff-retry skopeo \
  15. --insecure-policy \
  16. copy \
  17. --dest-tls-verify=false \
  18. docker://hello-world \
  19. docker://registry.local.cetacean.club:3004/hello-world